/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.cnbm.admin.params;


import com.cnbm.admin.basic.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

import javax.validation.constraints.NotNull;
import java.io.Serializable;


/**
 * 主键请求参数对象
 *
 * @author jiff
 * @date 2018/11/9
 * @since 1.0
 */
@Data
@ApiModel("主键参数对象")
public class IdParam implements Serializable {
    private static final long serialVersionUID = 1L;

    @NotNull(message = "主键不能为空")
    @ApiModelProperty(value = "主键", required = true, example = "1", notes = "根据实际接口传递不同对象的主键")
    private Long id;

}
