package com.cnbm.basic.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 过程检验-工艺-检验参数 关系表 
 *
 * @author why
 * @since  2022-09-01
 */
@Data
@ApiModel(value = "过程检验-工艺-检验参数 关系表 DTO对象")
public class FeaturesStageProcedureRelationDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "检验参数id,关联product_features表")
	private Long productFeaturesId;

	@ApiModelProperty(value = "工序id,关联 working_procedure 表")
	private Long workingProcedureId;

	@ApiModelProperty(value = "（如果为空就代表4个阶段都不是）检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验")
	private Integer inspectionStage;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

}