package com.cnbm.basic.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;
import java.util.List;


/**
 * 产品 表
 *
 * @author why
 * @since  2022-07-11
 */
@Data
@ApiModel(value = "产品 表DTO对象")
public class ProductDTO implements Serializable {
    private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "产品 名")
	private String name;

	@ApiModelProperty(value = "产品 编码")
	private String code;

	@ApiModelProperty(value = "产品 规格")
	private String specifications;

	@ApiModelProperty(value = "产品 图纸")
	private String drawing;

	@ApiModelProperty(value = "描述")
	private String descs;

	@ApiModelProperty(value = "产品类型id,关联product_type表")
	private Long productTypeId;

	@ApiModelProperty(value = "产品类型 名,product_type表")
	private String productType;

	@ApiModelProperty(value = "单位 id，关联unit表")
	private Long unitId;

	@ApiModelProperty(value = "检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验;; 如果有多个用逗号隔开，比如 1,4 就代表选中了进货检验和出货检验")
	private String inspectionStage;

	@ApiModelProperty(value = "检验标准")
	private String inspectionStandard;

	@ApiModelProperty(value = "1 可用，0 不可用")
	private Integer status;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

	@ApiModelProperty(value = "工厂")
	private List<Long> factoryList;

}