package com.cnbm.basic.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 工序 表
 *
 * @author why
 * @since  2022-07-15
 */
@Data
@ApiModel(value = "产品-工序 关系表DTO对象")
public class ProductWorkingprocedureRelationDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "产品id,关联product表")
	private Long productId;

	@ApiModelProperty(value = "工序id,关联 working_procedure 表")
	private Long workingProcedureId;

	@ApiModelProperty(value = "工序名称,关联 working_procedure 表")
	private String workingProcedureName;

	@ApiModelProperty(value = "工序编码,关联 working_procedure 表")
	private String workingProcedureCode;

	@ApiModelProperty(value = "顺序，工序是有先后顺序的。")
	private Integer sequence;

	@ApiModelProperty(value = "1 可用，0 不可用")
	private Integer status;

	@ApiModelProperty(value = "node.shape")
	private String shape;

	@ApiModelProperty(value = "node.x")
	private Integer x;

	@ApiModelProperty(value = "node.y")
	private Integer y;

	@ApiModelProperty(value = "node.width")
	private Integer width;

	@ApiModelProperty(value = "node.width")
	private Integer height;

	@ApiModelProperty(value = "node.lable")
	private String lable;

	@ApiModelProperty(value = "字体颜色")
	private String fontcolor;

	@ApiModelProperty(value = "背景颜色")
	private String backcolor;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

}