package com.cnbm.basic.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * 工序 表
 *
 * @author why
 * @since  2022-07-15
 */
@Data
@ApiModel(value = "工序 表DTO对象")
public class WorkingProcedureDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "工序 名")
	private String name;

	@ApiModelProperty(value = "工序 编码")
	private String code;

	@ApiModelProperty(value = "工序类型 id,关联working_procedure_type表")
	private Long workingProcedureTypeId;

	@ApiModelProperty(value = "工序类型 名,关联working_procedure_type表")
	private String workingProcedureTypeName;

	@ApiModelProperty(value = "机台(也就是设备)，这个工序对应的设备，可能有一个或者多个，如果多个用逗号隔开，\"id1,id2,......\"")
	private String machineId;

	@ApiModelProperty(value = "机台id对应名称")
	private String machineName;

	@ApiModelProperty(value = "1 可用，0 不可用")
	private Integer status;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

}