package com.cnbm.basic.entity;

import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 工厂 表
 * </p>
 *
 * @author why
 * @since 2022-07-13
 */
@Data
@ApiModel(value = "Factory对象", description = "工厂 表")
public class Factory implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("工厂 名")
    private String name;

    @ApiModelProperty("工厂 编码")
    private String code;

    @ApiModelProperty("工厂 描述")
    private String descs;

    @ApiModelProperty("工厂 联系地址")
    private String address;

    @ApiModelProperty("工厂类型，1-内部工厂；2-供应商")
    private String type;

    @ApiModelProperty("1 可用，0 不可用")
    private Integer status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private Integer valid;

    @ApiModelProperty("创建人")
    private Long creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private Long updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private Integer version;


}
