package com.cnbm.basic.entity;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 过程检验-工艺-检验参数 关系表 
 * </p>
 *
 * @author why
 * @since 2022-09-01
 */
@Data
@TableName("features_stage_procedure_relation")
@ApiModel(value = "FeaturesStageProcedureRelation对象", description = "过程检验-工艺-检验参数 关系表 ")
public class FeaturesStageProcedureRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("检验参数id,关联product_features表")
    private Long productFeaturesId;

    @ApiModelProperty("工序id,关联 working_procedure 表")
    private Long workingProcedureId;

    @ApiModelProperty("（如果为空就代表4个阶段都不是）检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验")
    private Integer inspectionStage;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private Integer valid;

    @ApiModelProperty("创建人")
    private Long creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private Long updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private Integer version;


}
