package com.cnbm.basic.entity;

import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 站点表
 * </p>
 *
 * @author why
 * @since 2022-07-13
 */
@Data
@ApiModel(value = "Platform对象", description = "站点表")
public class Platform implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("站台名")
    private String name;

    @ApiModelProperty("站台编码")
    private String code;

    @ApiModelProperty("站台分组")
    private String platformGroup;

    @ApiModelProperty("1 可用，0 不可用")
    private Integer status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private Integer valid;

    @ApiModelProperty("创建人")
    private Long creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private Long updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private Integer version;


}
