package com.cnbm.basic.entity;

import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 产品 表
 * </p>
 *
 * @author why
 * @since 2022-07-11
 */
@Data
@ApiModel(value = "Product对象", description = "产品 表")
public class Product implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("产品 名")
    private String name;

    @ApiModelProperty("产品 编码")
    private String code;

    @ApiModelProperty("产品 规格")
    private String specifications;

    @ApiModelProperty("产品 图纸")
    private String drawing;

    @ApiModelProperty("描述")
    private String descs;

    @ApiModelProperty("产品类型id,关联product_type表")
    private Long productTypeId;

    @ApiModelProperty("单位 id，关联unit表")
    private Long unitId;

    @ApiModelProperty("检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验;; 如果有多个用逗号隔开，比如 1,4 就代表选中了进货检验和出货检验")
    private String inspectionStage;

    @ApiModelProperty("检验标准")
    private String inspectionStandard;

    @ApiModelProperty("1 可用，0 不可用")
    private Integer status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private Integer valid;

    @ApiModelProperty("创建人")
    private Long creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private Long updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private Integer version;


}
