package com.cnbm.basic.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.models.auth.In;
import lombok.Data;

/**
 * <p>
 * 工序 表
 * </p>
 *
 * @author why
 * @since 2022-07-15
 */
@Data
@TableName("product_workingprocedure_relation")
@ApiModel(value = "ProductWorkingprocedureRelation对象", description = "产品-工序 关系表")
public class ProductWorkingprocedureRelation implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("产品id,关联product表")
    private Long productId;

    @ApiModelProperty("工序id,关联 working_procedure 表")
    private Long workingProcedureId;

    @ApiModelProperty("顺序，工序是有先后顺序的。")
    private Integer sequence;

    @ApiModelProperty("1 可用，0 不可用")
    private Integer status;

    @ApiModelProperty("node.shape")
    private String shape;

    @ApiModelProperty("node.x")
    private Integer x;

    @ApiModelProperty("node.y")
    private Integer y;

    @ApiModelProperty("node.width")
    private Integer width;

    @ApiModelProperty("node.width")
    private Integer height;

    @ApiModelProperty("node.lable")
    private String lable;

    @ApiModelProperty("字体颜色")
    private String fontcolor;

    @ApiModelProperty("背景颜色")
    private String backcolor;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private Integer valid;

    @ApiModelProperty("创建人")
    private Long creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private Long updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private Integer version;


}
