package com.cnbm.basic.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 产品特性 表
 *
 * @author why
 * @since  2022-07-15
 */
@Data
public class ProductFeaturesExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "产品id,关联product表")
    private Long productId;
    @Excel(name = "量具id，关联measure_tool表")
    private Long measureToolId;
    @Excel(name = "单位 id，关联unit表")
    private Long unitId;
    @Excel(name = "产品特性 名")
    private String name;
    @Excel(name = "产品特性 编码")
    private String code;
    @Excel(name = "产品特性类型：1 计量型；2 计数型")
    private Integer type;
    @Excel(name = "缺陷等级：1 致命缺陷；2 严重缺陷；3.轻微缺陷")
    private Integer defectLevel;
    @Excel(name = "产品特性 规格")
    private String specifications;
    @Excel(name = "检验参数  规格下线")
    private Float lsl;
    @Excel(name = "检验参数  规格中心线")
    private Float sl;
    @Excel(name = "检验参数  规格上线")
    private Float usl;
    @Excel(name = "分析图形，关联control_graph表id")
    private Long controlGraphId;
    @Excel(name = "是否需要spc分析，1 yes;0 no")
    private Integer isSpc;
    @Excel(name = "样本大小，一般2-25之间。 会依据这个size 把所有待分析的数据 组成一个一个样本")
    private Integer sampleSize;
    @Excel(name = "采样频率，只用于展示")
    private String samplingFrequency;
    @Excel(name = "小数位数（限制 检验参数小数点后面位数），这个先放着后续再说。")
    private Integer decimalPlaces;
    @Excel(name = "目标cpk")
    private Float targetCpk;
    @Excel(name = "目标cpk")
    private Float targetPpk;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;

}