package com.cnbm.basic.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * 工序 表
 *
 * @author why
 * @since  2022-07-15
 */
@Data
public class WorkingProcedureExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "工序 名")
    private String name;
    @Excel(name = "工序 编码")
    private String code;
    @Excel(name = "工序类型 id,关联working_procedure_type表")
    private Long workingProcedureTypeId;
    @Excel(name = "机台(也就是设备)，这个工序对应的设备，可能有一个或者多个，如果多个用逗号隔开，\"id1,id2,......\"")
    private String machineId;
    @Excel(name = "1 可用，0 不可用")
    private Integer status;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;

}