package com.cnbm.basic.service;

import com.cnbm.basic.dto.FactoryDTO;
import com.cnbm.basic.dto.FeaturesProcedureDTO;
import com.cnbm.basic.dto.FeaturesStageProcedureRelationDTO;
import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.basic.dto.ProductFeaturesDTO;
import com.cnbm.basic.entity.ProductFeatures;

import java.util.List;
import java.util.Map;

/**
 * 产品特性 表
 *
 * @author why
 * @since  2022-07-15
 */
public interface IProductFeaturesService extends CrudService<ProductFeatures, ProductFeaturesDTO> {
    PageData<ProductFeaturesDTO> page (Map<String, Object> params);

    ProductFeaturesDTO get(Long id);

    void save(ProductFeaturesDTO dto);

    void update(ProductFeaturesDTO dto);

    void delete(Long[] ids);

    List<ProductFeaturesDTO> getProductFeaturesByProductId(Long id);

    List<FeaturesProcedureDTO> getFeaturesByStageProcedure(Map<String, Object> params);

    void batchUpdate(ProductFeaturesDTO[] lists);

    List<ProductFeaturesDTO> getFeaturesList(Map<String, Object> params);

    List<ProductFeaturesDTO> list();;
}