package com.cnbm.basic.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.cnbm.common.page.PageData;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.basic.dto.ProductFeaturesHisDTO;
import com.cnbm.basic.mapper.ProductFeaturesHisMapper;
import com.cnbm.basic.entity.ProductFeaturesHis;
import com.cnbm.basic.service.IProductFeaturesHisService;
import com.cnbm.common.utils.ConvertUtils;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import java.math.BigDecimal;
import java.util.Arrays;
import java.util.Map;

/**
 * 产品特性 历史表
 *
 * @author why
 * @since 2022-07-15
 */
@Service
public class ProductFeaturesHisServiceImpl extends CrudServiceImpl<ProductFeaturesHisMapper, ProductFeaturesHis, ProductFeaturesHisDTO> implements IProductFeaturesHisService {

    @Override
    public QueryWrapper<ProductFeaturesHis> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<ProductFeaturesHis> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }

    @Override
    public PageData<ProductFeaturesHisDTO> page (Map<String, Object> params){
        IPage<ProductFeaturesHis> page = baseDao.selectPage(
                getPage(params, "id", true),
                getWrapper(params)
        );
        return getPageData(page, ProductFeaturesHisDTO.class);
    }

    @Override
    public ProductFeaturesHisDTO get(Long id) {
        ProductFeaturesHis entity = baseDao.selectById(id);
        return ConvertUtils.sourceToTarget(entity, ProductFeaturesHisDTO.class);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void save(ProductFeaturesHisDTO dto) {
        ProductFeaturesHis entity = ConvertUtils.sourceToTarget(dto, ProductFeaturesHis.class);
        insert(entity);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void update(ProductFeaturesHisDTO dto) {
        ProductFeaturesHis entity = ConvertUtils.sourceToTarget(dto, ProductFeaturesHis.class);
        updateById(entity);
    }

    @Override
    @Transactional(rollbackFor = Exception.class)
    public void delete(Long[] ids) {
        //删除
        deleteBatchIds(Arrays.asList(ids));
    }

}