package com.cnbm.common.spc.math;

import java.math.RoundingMode;
import java.text.DecimalFormat;
import java.util.List;

public class Math {

    public static void main(String[] args) {
//        try(Scanner input = new Scanner(System.in);) {
//            System.out.print("Enter ten numbers: ");
//            double[] numbers = new double[10];
//            for (int i = 0; i < numbers.length; i++)
//                numbers[i] = input.nextDouble();
//
//            System.out.println("The mean is "+getMean(numbers)+
//                    "\nThe stand deviation is "+getStandDeviation(numbers));
//        }

        //8.1 10.6 9.8 9.0 9.4 9.3 10.2 11.7
        Double[] d = new Double[8];
        d[0] = new Double(8.1) ;
        d[1] = new Double(10.6);
        d[2] = new Double(9.8);
        d[3] = new Double(9.0);
        d[4] = new Double(9.4);
        d[5] = new Double(9.3);
        d[6] = new Double(10.2);
        d[7] = new Double(11.7);

        System.out.println("均值: "+getMean(d)+",,标准差："+StandardDiviation(d)+",极差："+range(d));
    }

    //平均值
    public static double getMean(Double...numbers) {
        return format(getSum(numbers) / numbers.length);
    }

    //极差
    public static double range(Double[] in) {
        if (in == null) {
            throw new NumberFormatException();
        }
        double max = Double.MIN_VALUE;
        double min = Double.MAX_VALUE;
        for (int i = 0; i < in.length; i++) {
            max = java.lang.Math.max(max, in[i]);
            min = java.lang.Math.min(min, in[i]);
        }
        return format(max - min);
        //return Mutil.subtract(max, min);
    }

    public static double format(Double value) {
        DecimalFormat df = new DecimalFormat("0.00");//创建一个df对象，传入0.00表示构造一个保留小数点后两位的df对象
        df.setRoundingMode(RoundingMode.HALF_UP);//设置规则，这里采用的也是四舍五入规则
        return Double.parseDouble(df.format(value));//返回value（在返回之前使用df对象的格式化方法将数据格式化）
    }

    //方差s^2=[(x1-x)^2 +...(xn-x)^2]/n 或者s^2=[(x1-x)^2 +...(xn-x)^2]/(n-1)
    public static double Variance(Double[] x) {
        int m=x.length;
        double sum=0;
        for(int i=0;i<m;i++){//求和
            sum+=x[i];
        }
        double dAve=sum/m;//求平均值
        double dVar=0;
        for(int i=0;i<m;i++){//求方差
            dVar+=(x[i]-dAve)*(x[i]-dAve);
        }
        return format(dVar/m);
    }



    //标准差σ=sqrt(s^2)
    public static StandardDiviation StandardDiviation(Double[] x) {
        int m=x.length;
        double sum=0;
        for(int i=0;i<m;i++){//求和
            sum+=x[i];
        }
        double dAve=sum/m;//求平均值
        double dVar=0;
        for(int i=0;i<m;i++){//求方差
            dVar+=(x[i]-dAve)*(x[i]-dAve);
        }
        return new StandardDiviation(format(java.lang.Math.sqrt(dVar/(m-1))),format(java.lang.Math.sqrt(dVar/(m))));
        //return Math.sqrt(dVar/m);
    }

    //前n项和
    public static double getSum(Double...numbers) {
        double sum = 0.0;

        for (double i : numbers) {
            sum += i;
        }
        return sum;
    }
}
