/*
 * Copyright (c) 2018.
 * http://www.ulabcare.com
 */

package com.cnbm.common.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.time.LocalDateTime;

/**
 * 公共视图对象
 *
 * @author jiff
 * @date 2018/11/9
 * @since 1.0
 */
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@Data
@ApiModel("公共视图对象")
public class CommonVo {

    /**
     * 启用状态:0 、停用，1、启用
     */
    @ApiModelProperty(value = "启用状态:0 、停用，1、启用", example = "1", position = Integer.MAX_VALUE - 1)
    private Integer enabled;

    /**
     * 备注
     */
    @ApiModelProperty(value = "备注", position = Integer.MAX_VALUE - 1)
    private String remark;


    /**
     * 创建人
     */
    @ApiModelProperty(value = "创建人", example = "1", position = Integer.MAX_VALUE)
    private Long creatorId;

    /**
     * 创建人姓名
     */
    @ApiModelProperty(value = "创建人姓名", example = "ulabcare", position = Integer.MAX_VALUE)
    private String creatorName;
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间", position = Integer.MAX_VALUE)
    private LocalDateTime createTime;

    /**
     * 更新人
     */
    @ApiModelProperty(value = "更新人", example = "1", position = Integer.MAX_VALUE)
    private Long updaterId;

    /**
     * 更新人姓名
     */
    @ApiModelProperty(value = "更新人姓名", example = "ulabcare", position = Integer.MAX_VALUE)
    private String updaterName;

    /**
     * 更新时间
     */
    @ApiModelProperty(value = "更新时间", position = Integer.MAX_VALUE)
    private LocalDateTime updateTime;

}
