package com.cnbm.generator.code.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import java.math.BigDecimal;


/**
 * 检验单 表
 *
 * @author why
 * @since  2022-12-07
 */
@Data
@ApiModel(value = "检验单 表DTO对象")
public class InspectionSheetDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "订单号，手动输入")
	private String orderNumber;

	@ApiModelProperty(value = "批次号，手填")
	private String batchNumber;

	@ApiModelProperty(value = "检验站点，手填")
	private String inspectionSite;

	@ApiModelProperty(value = "产品id，关联product表")
	private Long productId;

	@ApiModelProperty(value = "检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验")
	private Integer inspectionStage;

	@ApiModelProperty(value = "工序id，关联working_procedure表")
	private Long workingProcedureId;

	@ApiModelProperty(value = "机台id，关联machine表")
	private Long machineId;

	@ApiModelProperty(value = "班次id，关联shift表")
	private Long shiftId;

	@ApiModelProperty(value = "分组样本数（就是这个产品下所有检测参数 的 最大样本数），只给用户查看，值是后台自动计算的")
	private Integer numberOfGroupedSamples;

	@ApiModelProperty(value = "样本大小（就是检验单（母体）下的子样个数）,只给用户查看，值是后台自动计算的")
	private Integer numberOfSamples;

	@ApiModelProperty(value = "缺陷数量，只给用户查看，值是后台自动计算的（是以 这个检验单下  样本子样  为单位的 ）")
	private Integer numberOfDefects;

	@ApiModelProperty(value = "不良数量，只给用户查看，值是后台自动计算的（是以 这个检验单下  样本子样  为单位的 ）")
	private Integer defectiveQuantity;

	@ApiModelProperty(value = "生产人")
	private String producer;

	@ApiModelProperty(value = "检验人")
	private String inspector;

	@ApiModelProperty(value = "产品特性类型：1 计量型；2 计数型")
	private Integer type;

	@ApiModelProperty(value = "1 可用，0 不可用")
	private Integer status;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

}