package com.cnbm.generator.code.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 产品特性 表
 * </p>
 *
 * @author why
 * @since 2022-08-23
 */
@Data
@TableName("product_features")
@ApiModel(value = "ProductFeatures对象", description = "产品特性 表")
public class ProductFeatures implements Serializable {

    private static final long serialVersionUID = 1L;

    private Long id;

    private Long productId;

    private Long measureToolId;

    private Long unitId;

    @ApiModelProperty("产品特性 名")
    private String name;

    @ApiModelProperty("产品特性 编码")
    private String code;

    @ApiModelProperty("产品特性类型：1 计量型；2 计数型")
    private Integer type;

    @ApiModelProperty("缺陷等级：1 致命缺陷；2 严重缺陷；3.轻微缺陷")
    private Integer defectLevel;

    @ApiModelProperty("产品特性 规格")
    private String specifications;

    @ApiModelProperty("检验参数  规格下线")
    private Float lsl;

    @ApiModelProperty("检验参数  规格中心线")
    private Float sl;

    @ApiModelProperty("检验参数  规格上线")
    private Float usl;

    private Long workingProcedureId;

    private Long controlGraphId;

    @ApiModelProperty("是否需要spc分析，1 yes;0 no")
    private Integer isSpc;

    @ApiModelProperty("样本大小，一般2-25之间。 会依据这个size 把所有待分析的数据 组成一个一个样本")
    private Integer sampleSize;

    @ApiModelProperty("采样频率，只用于展示")
    private String samplingFrequency;

    @ApiModelProperty("小数位数（限制 检验参数小数点后面位数），这个先放着后续再说。")
    private Integer decimalPlaces;

    @ApiModelProperty("目标cpk")
    private Float targetCpk;

    @ApiModelProperty("目标cpk")
    private Float targetPpk;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private Integer valid;

    private Long creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    private Long updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private Integer version;


}
