package com.cnbm.generator.code.entity;

import java.io.Serializable;
import java.math.BigDecimal;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 单位 表
 * </p>
 *
 * @author why
 * @since 2022-06-30
 */
@Data
@ApiModel(value = "Unit对象", description = "单位 表")
public class Unit implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private BigDecimal id;

    @ApiModelProperty("单位 名")
    private String name;

    @ApiModelProperty("单位 编码")
    private String code;

    @ApiModelProperty("单位类型，1 可计数，2 不可计数")
    private BigDecimal type;

    @ApiModelProperty("1 可用，0 不可用")
    private BigDecimal status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private BigDecimal valid;

    @ApiModelProperty("创建人")
    private BigDecimal creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private BigDecimal updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private BigDecimal version;


}
