package com.cnbm.generator.code.excel;

import cn.afterturn.easypoi.excel.annotation.Excel;
import lombok.Data;

import java.time.LocalDateTime;
import java.math.BigDecimal;

import java.util.Date;

/**
 * 检验单 表
 *
 * @author why
 * @since  2022-12-07
 */
@Data
public class InspectionSheetExcel {
    @Excel(name = "ID")
    private Long id;
    @Excel(name = "订单号，手动输入")
    private String orderNumber;
    @Excel(name = "批次号，手填")
    private String batchNumber;
    @Excel(name = "检验站点，手填")
    private String inspectionSite;
    @Excel(name = "产品id，关联product表")
    private Long productId;
    @Excel(name = "检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验")
    private Integer inspectionStage;
    @Excel(name = "工序id，关联working_procedure表")
    private Long workingProcedureId;
    @Excel(name = "机台id，关联machine表")
    private Long machineId;
    @Excel(name = "班次id，关联shift表")
    private Long shiftId;
    @Excel(name = "分组样本数（就是这个产品下所有检测参数 的 最大样本数），只给用户查看，值是后台自动计算的")
    private Integer numberOfGroupedSamples;
    @Excel(name = "样本大小（就是检验单（母体）下的子样个数）,只给用户查看，值是后台自动计算的")
    private Integer numberOfSamples;
    @Excel(name = "缺陷数量，只给用户查看，值是后台自动计算的（是以 这个检验单下  样本子样  为单位的 ）")
    private Integer numberOfDefects;
    @Excel(name = "不良数量，只给用户查看，值是后台自动计算的（是以 这个检验单下  样本子样  为单位的 ）")
    private Integer defectiveQuantity;
    @Excel(name = "生产人")
    private String producer;
    @Excel(name = "检验人")
    private String inspector;
    @Excel(name = "产品特性类型：1 计量型；2 计数型")
    private Integer type;
    @Excel(name = "1 可用，0 不可用")
    private Integer status;
    @Excel(name = "备注")
    private String remark;
    @Excel(name = "删除标志，是否有效:1 可用 0不可用")
    private Integer valid;
    @Excel(name = "创建人")
    private Long creatorId;
    @Excel(name = "创建人姓名")
    private String creatorName;
    @Excel(name = "创建时间")
    private LocalDateTime createTime;
    @Excel(name = "更新人")
    private Long updaterId;
    @Excel(name = "更新人姓名")
    private String updaterName;
    @Excel(name = "更新时间")
    private LocalDateTime updateTime;
    @Excel(name = "版本号")
    private Integer version;

}