package com.cnbm.generator.code.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.cnbm.common.service.impl.CrudServiceImpl;
import com.cnbm.generator.code.dto.UserDTO;
import com.cnbm.generator.code.mapper.UserMapper;
import com.cnbm.generator.code.entity.User;
import com.cnbm.generator.code.service.IUserService;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * 系统用户
 *
 * @author why
 * @since 2022-08-23
 */
@Service
public class UserServiceImpl extends CrudServiceImpl<UserMapper, User, UserDTO> implements IUserService {

    @Override
    public QueryWrapper<User> getWrapper(Map<String, Object> params){
        String id = (String)params.get("id");

        QueryWrapper<User> wrapper = new QueryWrapper<>();
        wrapper.eq(StringUtils.isNotBlank(id), "id", id);

        return wrapper;
    }


}