package com.cnbm.influx.config;

import com.cnbm.common.spc.util.DataUtils;
import com.cnbm.influx.param.PageInfo;
import com.cnbm.influx.param.QueryDataParam;
import com.cnbm.influx.param.Range;
import com.cnbm.influx.param.Tag;
import com.cnbm.influx.template.Event;
import com.influxdb.client.InfluxDBClient;
import com.influxdb.client.InfluxDBClientFactory;
import com.influxdb.client.WriteApi;
import com.influxdb.client.domain.WritePrecision;
import com.influxdb.client.write.Point;
import com.influxdb.query.FluxTable;

import java.time.Instant;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Date;
import java.util.List;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/11/30 16:56
 */
public class Main {
    public static void main(String[] args) throws InterruptedException {
        //方式一
//        char[] token = "lkBsC27QZr1W50BSPlGxpTqNNpwuUk5uz1dZZRPSPbCG5VmNDDUo8P3UkZIhGWwfJwkuz6ZGZ7Et4_KBaG3gHw==".toCharArray();
//        String org = "qgs";
//        String bucket = "qgs-bucket";
//        InfluxDBClient influxDBClient = InfluxDBClientFactory.create("http://192.168.0.170:8086", token, org, bucket);
//
//
//        WriteApi writeApi = influxDBClient.makeWriteApi();
//
//
//
//        Point point2 = Point.measurement("FORUPDATE")
//                .addTag("transationId", "222312")
//                .addTag("argName", "forUpdate")
//                .addField("argValue", 4D)
//                .time(Instant.now().toEpochMilli(), WritePrecision.MS);
//        List<Point> list = new ArrayList<>();
//        list.add(point2);
//
//        writeApi.writePoints(list);


        //方式二
        Event event = new Event();

        event.setTime(new Date().toInstant());
        event.setTransationId("2344");

        event.setArgName("forUpdate");
        event.setArgValue("124.1");
        InfluxClient.Client.insert(event,"FORUPDATE");
//        Thread.sleep(50000);
//
//        event.setArgValue(333.3);
//        InfluxClient.Client.insert(event,"FORUPDATE");


        QueryDataParam queryDataParam = new QueryDataParam();
        queryDataParam.setBucket("qgs-bucket");
        queryDataParam.setMeasurement("FORUPDATE");
        List<String> dropNames = new ArrayList<>();
        dropNames.add("transationId");
        dropNames.add("inspectionSheetId");
        queryDataParam.setDropedTagNames(dropNames);
        queryDataParam.setTags(Arrays.asList(new Tag("argName","forUpdate")));
        queryDataParam.setRange(new Range(DataUtils.getBeforeDate(999).toInstant(),DataUtils.getAfterDate(999).toInstant()));
        queryDataParam.setPageInfo(new PageInfo(1,10));
        List<FluxTable> query = InfluxClient.Client.query(queryDataParam);
        System.out.println();
    }
}
