package com.cnbm.influx.controller;

import com.cnbm.common.spc.util.DataUtils;
import com.cnbm.common.utils.Result;
import com.cnbm.influx.config.InfluxClient;
import com.cnbm.influx.constant.Constant;
import com.cnbm.influx.param.QueryDataParam;
import com.cnbm.influx.param.Range;
import com.cnbm.influx.param.Tag;
import com.cnbm.influx.template.Event;
import com.influxdb.query.FluxTable;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.time.Instant;
import java.util.*;

@RestController
@RequestMapping("/spcData")
public class SPCController {
    private static final Logger logger = LoggerFactory.getLogger(SPCController.class);


    @PostMapping("/getData")
    public Result getData(@RequestBody QueryDataParam param) throws InterruptedException {
        List<FluxTable> query = InfluxClient.Client.query(param);
        return new Result<List<FluxTable>>().ok(query);
    }


    @PostMapping("/insertOrUpdate")
    public Result insertBatchForNew(@RequestBody InfluxData data){
        if(data.getEvents()== null || data.getMeasurement()== null){
            return new Result().error("传入events 或者 measurement为空");
        }
        try {
            InfluxClient.Client.batchInsert(data.getEvents(),data.getMeasurement());
        }catch (Exception e){
            return new Result().ok("influxdb 操作异常");
        }
        return new Result().error("成功");
    }


}
