package com.cnbm.influx.param;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.util.List;

/**
 * @Desc: "influx 查询条件构造"
 * @Author: caixiang
 * @DATE: 2022/6/29 10:17
 *
 * 注意：
 *  必填
 *      ① measurement 不能为空
 *      ② 时间段 不能为空
 *      ③ bucket 不能为空
 *  非必填
 *      ① 分页信息可选
 *      ② tag
 *
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class QueryDataGroupByTimeParam extends BaseParam{

    private List<Tag> tags;
    //查询的时候，需要忽略的字段。(transationId是唯一标识会对 最终的查询结果集产生影响)
    private List<String> dropedTagNames;
    private String bucket;
    //1-按年分组; 2-按月分组; 3-按日分组
    private Integer timeType;
}
