package com.cnbm.influx.template;

import com.influxdb.annotations.Column;
import com.influxdb.annotations.Measurement;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.time.Instant;

/**
 * @Desc: "常规计量值 - entity"
 * @Author: caixiang
 * @DATE: 2022/6/25 11:13
 */
@Data
public class Event {

    private Instant time;

    private String transationId;

    private String argName;

    private String argValue;

    //batchNum 舍弃了，influxdb中不存批次号，存在mysql - inspection_sheet表 中批次号字段
    //private String batchNum;

    private String inspectionSheetId;

    private String sampleNumber;

    public Event() {
        //自动录入，给个默认值
//        this.batchNum = "-1";
        this.inspectionSheetId = "-1";
        this.sampleNumber = "-1";
    }
}