package com.cnbm.processInspection.dto;

import com.cnbm.basic.entity.ProductFeatures;
import com.cnbm.influx.param.Range;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.util.Date;
import java.util.List;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/7/26 14:44
 */
@Data
@ApiModel(value = "控制图 查询参数类")
public class GraphArg {
    @ApiModelProperty(value = "检验特性Id")
    @NotNull(message = "检验特性Id 不能为空")
    private Long productFeaturesId;

    @ApiModelProperty(value = "查询时间段，开始")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    @NotNull(message = "时间段，开始 不能为空")
    private Date begin;

    @ApiModelProperty(value = "查询时间段，结束")
    @JsonFormat(locale="zh", timezone="GMT+8", pattern="yyyy-MM-dd")
    @NotNull(message = "时间段，结束 不能为空")
    private Date end;

    @ApiModelProperty(value = "判读方案列表,只用于 计量型")
    private List<InterpretationListArg> interpretationScheme;

    @ApiModelProperty(value = "样本大小，不填的话用之前配置的")
    private Integer sampleSize;

    @ApiModelProperty(value = "分组类别（1=年 , 2=月 , 3=日）(用于计数型控制图)")
    private Integer groupType;
}
