package com.cnbm.processInspection.dto;

import com.cnbm.common.spc.math.StandardDiviation;
import com.cnbm.processInspection.graphAnalyzed.forMeterage.xmr.XMRGraphEntity;
import com.cnbm.qualityPlanning.entity.ControlLimit;
import com.cnbm.qualityPlanning.entity.ControlLimitDetail;
import com.cnbm.qualityPlanning.entity.ProcessCapability;
import com.cnbm.qualityPlanning.entity.SpecificationLimit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/7/22 14:18
 */
@Data
@ApiModel(value = "单值-移动极差 结果类")
public class XMRGraphData {
    @ApiModelProperty(value = "控制图list数据")
    private XMRGraphEntity xmrGraphEntity;
    @ApiModelProperty(value = "xbar控制图 控制限")
    private ControlLimitDetail XBarCL;
    @ApiModelProperty(value = "R控制图 控制限")
    private ControlLimitDetail RCL;

    @ApiModelProperty(value = "工艺规格限")
    private SpecificationLimit SL;

    @ApiModelProperty(value = "工序能力")
    private ProcessCapability processCapability;

    @ApiModelProperty(value = "标准差/总体标准差")
    private StandardDiviation standardDiviation;


    public XMRGraphData(XMRGraphEntity xmrGraphEntity, ControlLimitDetail xBarCL, ControlLimitDetail rCL, SpecificationLimit sl, ProcessCapability processCapability, StandardDiviation standardDiviation){
        this.xmrGraphEntity = xmrGraphEntity;
        this.XBarCL = xBarCL;
        this.RCL = rCL;
        this.SL = sl;
        this.processCapability = processCapability;
        this.standardDiviation = standardDiviation;
    }
}
