package com.cnbm.processInspection.dto;

import com.cnbm.common.spc.math.StandardDiviation;
import com.cnbm.processInspection.graphAnalyzed.forMeterage.mr.MRGraphEntity;
import com.cnbm.qualityPlanning.entity.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;
import java.util.Stack;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/7/22 14:18
 */
@Data
@ApiModel(value = "均值-极差控制图 结果类")
public class XbarRGraphData {
    @ApiModelProperty(value = "控制图list数据")
    private MRGraphEntity mrGraphEntity;
    @ApiModelProperty(value = "xbar控制图 控制限")
    private ControlLimitDetail XBarCL;

    @ApiModelProperty(value = "R控制图 控制限")
    private ControlLimitDetail RCL;


    @ApiModelProperty(value = "工艺规格限")
    private SpecificationLimit SL;

    @ApiModelProperty(value = "工序能力")
    private ProcessCapability processCapability;

    @ApiModelProperty(value = "标准差/总体标准差")
    private StandardDiviation standardDiviation;


    public XbarRGraphData(MRGraphEntity mrGraphEntity, ControlLimitDetail xBarCLDetail , ControlLimitDetail rCLDetail, SpecificationLimit sl, ProcessCapability processCapability, StandardDiviation standardDiviation){
        this.mrGraphEntity = mrGraphEntity;
        this.XBarCL = xBarCLDetail;
        this.RCL = rCLDetail;
        this.SL = sl;
        this.processCapability = processCapability;
        this.standardDiviation = standardDiviation;
    }


}
