package com.cnbm.processInspection.dto;

import com.cnbm.common.spc.math.StandardDiviation;
import com.cnbm.processInspection.graphAnalyzed.forMeterage.ms.MSDGraphEntity;
import com.cnbm.qualityPlanning.entity.ControlLimit;
import com.cnbm.qualityPlanning.entity.ControlLimitDetail;
import com.cnbm.qualityPlanning.entity.ProcessCapability;
import com.cnbm.qualityPlanning.entity.SpecificationLimit;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/7/22 14:18
 */
@Data
@ApiModel(value = "均值-标准差控制图 结果类")
public class XbarSGraphData {
    @ApiModelProperty(value = "控制图list数据")
    private MSDGraphEntity msdGraphEntity;
    @ApiModelProperty(value = "xbar控制图 控制限")
    private ControlLimitDetail XBarCL;
    @ApiModelProperty(value = "s控制图 控制限")
    private ControlLimitDetail SCL;

    @ApiModelProperty(value = "工艺规格限")
    private SpecificationLimit SL;

    @ApiModelProperty(value = "工序能力")
    private ProcessCapability processCapability;

    @ApiModelProperty(value = "标准差/总体标准差")
    private StandardDiviation standardDiviation;


    public XbarSGraphData(MSDGraphEntity msdGraphEntity,ControlLimitDetail xBarCL,ControlLimitDetail sCL,SpecificationLimit sl,ProcessCapability processCapability,StandardDiviation standardDiviation){
        this.msdGraphEntity = msdGraphEntity;
        this.XBarCL = xBarCL;
        this.SCL = sCL;
        this.SL = sl;
        this.processCapability = processCapability;
        this.standardDiviation = standardDiviation;
    }
}
