package com.cnbm.processInspection.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 检验单 表
 * </p>
 *
 * @author why
 * @since 2022-08-17
 */
@Data
@TableName("inspection_sheet")
@ApiModel(value = "InspectionSheet对象", description = "检验单 表")
public class InspectionSheet implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("订单号，手动输入")
    private String orderNumber;

    @ApiModelProperty("批次号，手填")
    private String batchNumber;

    @ApiModelProperty("检验站点，手填")
    private String inspectionSite;

    @ApiModelProperty("产品id，关联product表")
    private Long productId;

    @ApiModelProperty("检验阶段；1 进货检验、 2 过程检验、 3 成品检验、 4 出货检验")
    private Integer inspectionStage;

    @ApiModelProperty("工序id，关联working_procedure表")
    private Long workingProcedureId;

    @ApiModelProperty("机台id，关联machine表")
    private Long machineId;

    @ApiModelProperty("班次id，关联shift表")
    private Long shiftId;

    @ApiModelProperty("分组样本数（就是这个产品下所有检测参数 的 最大样本数），只给用户查看，值是后台自动计算的")
    private Integer numberOfGroupedSamples;

    @ApiModelProperty("样本大小（就是检验单（母体）下的子样个数）,只给用户查看，值是后台自动计算的")
    private Integer numberOfSamples;

    @ApiModelProperty("缺陷数量，只给用户查看，值是后台自动计算的（是以 这个检验单下  样本子样  为单位的 ）")
    private Integer numberOfDefects;

    @ApiModelProperty("不良数量，只给用户查看，值是后台自动计算的（是以 这个检验单下  样本子样  为单位的 ）")
    private Integer defectiveQuantity;

    @ApiModelProperty("生产人")
    private String producer;

    @ApiModelProperty("检验人")
    private String inspector;

    @ApiModelProperty("产品特性类型：1 计量型；2 计数型")
    private Integer type;

    @ApiModelProperty("1 可用，0 不可用")
    private Integer status;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private Integer valid;

    @ApiModelProperty("创建人")
    private Long creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private Long updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private Integer version;


}
