package com.cnbm.processInspection.service;

import com.alibaba.fastjson.JSONObject;
import com.cnbm.basic.dto.ProductFeaturesDTO;
import com.cnbm.common.page.PageData;
import com.cnbm.common.service.CrudService;
import com.cnbm.influx.param.QueryDataParam;
import com.cnbm.influx.template.Event;
import com.cnbm.processInspection.dto.InspectionSampleDTO;
import com.cnbm.processInspection.dto.InspectionSampleDTO2;
import com.cnbm.processInspection.dto.InspectionSampleDTO3;
import com.cnbm.processInspection.dto.InspectionSheetDTO;
import com.cnbm.processInspection.entity.InspectionSheet;
import com.influxdb.query.FluxTable;

import java.util.List;
import java.util.Map;

/**
 * 检验单 表
 *
 * @author why
 * @since  2022-08-17
 */
public interface IInspectionSheetService extends CrudService<InspectionSheet, InspectionSheetDTO> {

    PageData<InspectionSheetDTO> page (Map<String, Object> params);

    InspectionSheetDTO get(Long id);

    InspectionSheet saveSheet(InspectionSheetDTO dto);

    void update(InspectionSheetDTO dto);

    void delete(Long[] ids);

    List<InspectionSheetDTO> list(Map<String, Object> params);

//    List<Event> getFluxParamList(Map<String, Object> params);
    List<InspectionSampleDTO> getFluxParamList(Long inspectionSheetId);
    List<InspectionSampleDTO3> getFluxParamList3(Long inspectionSheetId);

    void saveFluxParamList(InspectionSampleDTO[] lists);
    void saveFluxParamList2(InspectionSampleDTO2[] lists);
    void saveFluxParamList3(InspectionSampleDTO3[] lists);

    List<ProductFeaturesDTO> getInspectionSheetFeaturesList(Map<String, Object> params);

    void calculate(Long inspectionSheetId);

}