package com.cnbm.qualityPlanning.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;


/**
 * 控制图形 表
 *
 * @author why
 * @since  2022-08-15
 */
@Data
@ApiModel(value = "控制图形 表DTO对象")
public class ControlGraphDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "控制图形 名")
	private String name;

	@ApiModelProperty(value = "控制图形 编码")
	private String code;

	@ApiModelProperty(value = "产品特性类型：1 计量型；2 计数型")
	private Integer type;

	@ApiModelProperty(value = "1 可用，0 不可用")
	private Integer status;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

}