package com.cnbm.qualityPlanning.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.time.LocalDateTime;

import java.math.BigDecimal;


/**
 * 判读方案 表
 *
 * @author why
 * @since  2022-09-20
 */
@Data
@ApiModel(value = "判读方案 表DTO对象")
public class InterpretationSchemeDTO implements Serializable {
    private static final long serialVersionUID = 1L;



	@ApiModelProperty(value = "ID")
	private Long id;

	@ApiModelProperty(value = "判读方案编号（手动输入），一旦add了，就不允许update这个字段")
	private Integer code;

	@ApiModelProperty(value = "判读方案规则号（1-10）")
	private Integer ruleNum;

	@ApiModelProperty(value = "判读方案规则,(eg: 规则五:连续x点中有x点落在中心线同侧两倍标准差以外)")
	private String ruleKey;

	@ApiModelProperty(value = "判读方案vaule1,(3)")
	private Integer ruleValue1;

	@ApiModelProperty(value = "判读方案vaule2,(2)")
	private Integer ruleValue2;

	@ApiModelProperty(value = "自定义判读方案id")
	private Long myInterpretationSchemeId;

	@ApiModelProperty(value = "'1 = activate, 0 = inactivate '")
	private Integer flag;

	@ApiModelProperty(value = "备注")
	private String remark;

	@ApiModelProperty(value = "删除标志，是否有效:1 可用 0不可用")
	private Integer valid;

	@ApiModelProperty(value = "创建人")
	private Long creatorId;

	@ApiModelProperty(value = "创建人姓名")
	private String creatorName;

	@ApiModelProperty(value = "创建时间")
	private LocalDateTime createTime;

	@ApiModelProperty(value = "更新人")
	private Long updaterId;

	@ApiModelProperty(value = "更新人姓名")
	private String updaterName;

	@ApiModelProperty(value = "更新时间")
	private LocalDateTime updateTime;

	@ApiModelProperty(value = "版本号")
	private Integer version;

}