package com.cnbm.qualityPlanning.entity;

import cn.hutool.core.util.NumberUtil;
import lombok.Data;
import org.springframework.util.NumberUtils;

/**
 * @Desc: ""
 * @Author: caixiang
 * @DATE: 2022/7/12 15:17
 */
@Data
public class ControlLimitDetail {
    //控制上限
    private Double UCL;
    private Double[] UA = new Double[2];
    private Double[] UB = new Double[2];
    private Double[] UC = new Double[2];
    //控制中心线
    private Double CL;
    //控制下限
    private Double LCL;
    private Double[] LA = new Double[2];
    private Double[] LB = new Double[2];
    private Double[] LC = new Double[2];

    public ControlLimitDetail(Double UCL, Double CL, Double LCL){
        this.UCL = UCL;
        this.CL = CL;
        this.LCL = LCL;
        Double agv1 = (this.UCL-this.CL)/3;
        this.UC[0] = NumberUtil.round(this.CL,4).doubleValue();
        this.UC[1] = NumberUtil.round(this.CL+agv1,4).doubleValue();
        this.UB[0] = NumberUtil.round(this.UC[1],4).doubleValue();
        this.UB[1] = NumberUtil.round(this.UB[0]+agv1,4).doubleValue();
        this.UA[0] = NumberUtil.round(this.UB[1],4).doubleValue();
        this.UA[1] = NumberUtil.round(this.UA[0]+agv1,4).doubleValue();

        Double agv2 = (this.CL-this.LCL)/3;
        this.LC[0] = NumberUtil.round(this.CL-agv2,4).doubleValue();
        this.LC[1] = NumberUtil.round(this.CL,4).doubleValue();
        this.LB[0] = NumberUtil.round(this.LC[0]-agv2,4).doubleValue();
        this.LB[1] = NumberUtil.round(this.LC[0],4).doubleValue();
        this.LA[0] = NumberUtil.round(this.LB[0]-agv2,4).doubleValue();
        this.LA[1] = NumberUtil.round(this.LB[0],4).doubleValue();
    }
}
