package com.cnbm.qualityPlanning.entity;

import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 判读方案 表
 * </p>
 *
 * @author why
 * @since 2022-09-20
 */
@Data
@TableName("interpretation_scheme")
@ApiModel(value = "InterpretationScheme对象", description = "判读方案 表")
public class InterpretationScheme implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("判读方案编号（手动输入），一旦add了，就不允许update这个字段")
    private Integer code;

    @ApiModelProperty("判读方案规则号（1-10）")
    private Integer ruleNum;

    @ApiModelProperty("判读方案规则,(eg: 规则五:连续x点中有x点落在中心线同侧两倍标准差以外)")
    private String ruleKey;

    @ApiModelProperty("判读方案vaule1,(3)")
    private Integer ruleValue1;

    @ApiModelProperty("判读方案vaule2,(2)")
    private Integer ruleValue2;

    @ApiModelProperty("自定义判读方案id")
    private Long myInterpretationSchemeId;

    @ApiModelProperty("'1 = activate, 0 = inactivate '")
    private Integer flag;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("删除标志，是否有效:1 可用 0不可用")
    private Integer valid;

    @ApiModelProperty("创建人")
    private Long creatorId;

    @ApiModelProperty("创建人姓名")
    private String creatorName;

    @ApiModelProperty("创建时间")
    private LocalDateTime createTime;

    @ApiModelProperty("更新人")
    private Long updaterId;

    @ApiModelProperty("更新人姓名")
    private String updaterName;

    @ApiModelProperty("更新时间")
    private LocalDateTime updateTime;

    @ApiModelProperty("版本号")
    private Integer version;


}
