package com.cnbm.qualityPlanning.entity;

import java.util.HashSet;
import java.util.Set;

/**
 * @Desc: "整合，处理好   后的一行数据 (sampleSize 后的数据) "
 * @Author: caixiang
 * @DATE: 2022/7/21 9:43
 */
public class XMRPoint extends Point {

    private Double x;
    private Double rs;
    //position 是这个数据在数组中的位置 ；；   value 是待被判读方案 分析的value（从 xbar、s、r 中选一）
    public XMRPoint(Integer position, Double value) {
        super(position, value);
    }
    //r    不满足 的 判读方案
    private Set<Integer> xUnsatisfiedRules;
    //xbar 不满足 的 判读方案
    private Set<Integer> rsUnsatisfiedRules;

    public XMRPoint(Integer position, Double value, Double x, Double rs) {
        super(position,value);
        this.x = x;
        this.rs = rs;
        xUnsatisfiedRules = new HashSet<Integer>();
        rsUnsatisfiedRules = new HashSet<Integer>();
    }

    private void setValueToTest(Double value){
        setValueForInterpretation(value);
    }

    public Set<Integer> getxUnsatisfiedRules() {
        return xUnsatisfiedRules;
    }

    public void setxUnsatisfiedRules(Set<Integer> xUnsatisfiedRules) {
        this.xUnsatisfiedRules = xUnsatisfiedRules;
    }

    public Set<Integer> getRsUnsatisfiedRules() {
        return rsUnsatisfiedRules;
    }

    public void setRsUnsatisfiedRules(Set<Integer> rsUnsatisfiedRules) {
        this.rsUnsatisfiedRules = rsUnsatisfiedRules;
    }

    public Double getX() {
        return x;
    }

    public void setX(Double x) {
        this.x = x;
    }

    public Double getRs() {
        return rs;
    }

    public void setRs(Double rs) {
        this.rs = rs;
    }



    @Override
    public Integer getPosition() {
        return super.getPosition();
    }

    @Override
    public Double getValueForInterpretation() {
        return super.getValueForInterpretation();
    }

    @Override
    public Set<Integer> getUnsatisfiedRules() {
        return super.getUnsatisfiedRules();
    }

    @Override
    public void setPosition(Integer position) {
        super.setPosition(position);
    }

    @Override
    public void setValueForInterpretation(Double valueForInterpretation) {
        super.setValueForInterpretation(valueForInterpretation);
    }

    @Override
    public void setUnsatisfiedRules(Set<Integer> unsatisfiedRules) {
        super.setUnsatisfiedRules(unsatisfiedRules);
    }
}
