package com.cnbm.qualityPlanning.entity;

import io.swagger.models.auth.In;

import java.util.ArrayList;
import java.util.HashSet;
import java.util.List;
import java.util.Set;

/**
 * @Desc: "整合，处理好   后的一行数据 (sampleSize 后的数据) "
 * @Author: caixiang
 * @DATE: 2022/7/21 9:43
 */
public class XbarSPoint extends Point {
    List<Double> data = new ArrayList<>();
    private Double xbar;
    private Double s;
    private Double r;
    //position 是这个数据在数组中的位置 ；；   value 是待被判读方案 分析的value（从 xbar、s、r 中选一）
    public XbarSPoint(Integer position, Double value) {
        super(position, value);
    }

    //s    不满足 的 判读方案
    private Set<Integer> sUnsatisfiedRules;
    //xbar 不满足 的 判读方案
    private Set<Integer> xbarUnsatisfiedRules;

    public XbarSPoint(Integer position, Double value, Double xbar, Double s, Double r,List<Double> data) {
        super(position,value);
        this.xbar = xbar;
        this.s = s;
        this.r = r;
        this.data = data;
        sUnsatisfiedRules = new HashSet<Integer>();
        xbarUnsatisfiedRules = new HashSet<Integer>();
    }
    private void setValueToTest(Double value){
        setValueForInterpretation(value);
    }

    public Set<Integer> getsUnsatisfiedRules() {
        return sUnsatisfiedRules;
    }

    public void setsUnsatisfiedRules(Set<Integer> sUnsatisfiedRules) {
        this.sUnsatisfiedRules = sUnsatisfiedRules;
    }

    public Set<Integer> getXbarUnsatisfiedRules() {
        return xbarUnsatisfiedRules;
    }

    public void setXbarUnsatisfiedRules(Set<Integer> xbarUnsatisfiedRules) {
        this.xbarUnsatisfiedRules = xbarUnsatisfiedRules;
    }

    public List<Double> getData() {
        return data;
    }

    public void setData(List<Double> data) {
        this.data = data;
    }

    public Double getXbar() {
        return xbar;
    }

    public void setXbar(Double xbar) {
        this.xbar = xbar;
    }

    public Double getS() {
        return s;
    }

    public void setS(Double s) {
        this.s = s;
    }

    public Double getR() {
        return r;
    }

    public void setR(Double r) {
        this.r = r;
    }



    @Override
    public Integer getPosition() {
        return super.getPosition();
    }

    @Override
    public Double getValueForInterpretation() {
        return super.getValueForInterpretation();
    }

    @Override
    public Set<Integer> getUnsatisfiedRules() {
        return super.getUnsatisfiedRules();
    }

    @Override
    public void setPosition(Integer position) {
        super.setPosition(position);
    }

    @Override
    public void setValueForInterpretation(Double valueForInterpretation) {
        super.setValueForInterpretation(valueForInterpretation);
    }

    @Override
    public void setUnsatisfiedRules(Set<Integer> unsatisfiedRules) {
        super.setUnsatisfiedRules(unsatisfiedRules);
    }
}
